Fedora Linux Support Community & Resources Center
  #1  
Old 17th August 2005, 09:42 PM
RynoB Offline
Registered User
 
Join Date: Aug 2005
Posts: 4
Bugzilla Installation – Perl Modules

Hi,

I was wondering if anybody got Bugzilla installed on FC4?

At the moment I’m trying to get my bug server up and running but I’m dealing with a couple of issues:

As per the manual I did the following:

./checksetup.pl

I managed to get a couple of Perl modules installed, and currently my output of ./checksetup.pl is as follows:

Code:
[root@devrofed01 bugzilla-2.18.3]# cd ./checksetup.pl
-bash: cd: ./checksetup.pl: Not a directory
[root@devrofed01 bugzilla-2.18.3]#  ./checksetup.pl

Checking perl modules ...
Checking for       AppConfig (v1.52)   ok: found v1.56
Checking for             CGI (v2.93)   ok: found v3.10
Checking for    Data::Dumper (any)     ok: found v2.121_02
Checking for    Date::Format (v2.21)   ok: found v2.22
Checking for             DBI (v1.36)   ok: found v1.48
Checking for      DBD::mysql (v2.1010) ok: found v2.9007
Checking for      File::Spec (v0.82)   ok: found v3.01
Checking for      File::Temp (any)     ok: found v0.14
Checking for        Template (v2.08)    not found
Checking for      Text::Wrap (v2001.0131) ok: found v2001.09292

The following Perl modules are optional:
Checking for              GD (v1.20)   ok: found v2.28
Checking for     Chart::Base (v1.0)     not found
Checking for     XML::Parser (any)     ok: found v2.34
Checking for       GD::Graph (any)     ok: found v1.43
Checking for GD::Text::Align (any)     ok: found v1.18
Checking for     PatchReader (v0.9.4)  ok: found v0.9.5

If you you want to see graphical bug charts (plotting historical data over
time), you should install libgd and the following Perl modules:

Chart:       /usr/bin/perl -MCPAN -e 'install "Chart::Base"'



Bugzilla requires some Perl modules which are either missing from your
system, or the version on your system is too old.
They can be installed by running (as root) the following:
   /usr/bin/perl -MCPAN -e 'install "Template"'
   Minimum version required: 2.08
For some reason I can’t get the last two modules, “Template” and “Chart::Base”” installed.

I did also try to force install it by using:

Code:
/usr/bin/perl -MCPAN -e 'force install "Template"'

and...

Code:
/usr/bin/perl -MCPAN -e 'force install "Chart::Base"'
Still I can’t get the 2 modules installed…

This is my output of /usr/bin/perl -MCPAN -e 'force install "Template"' :

Code:
Failed Test   Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/dbi.t                     63    2   3.17%  14-15
t/gd.t                      11    4  36.36%  5 7 9 11
t/gdgraph.t                 21    9  42.86%  5 7 9 11 13 15 17 19 21
t/gdgraph3d.t                9    3  33.33%  5 7 9
4 tests skipped.
Failed 4/90 test scripts, 95.56% okay. 18/2658 subtests failed, 99.32% okay.
make: *** [test_dynamic] Error 255
  /usr/bin/make test -- NOT OK
Running make install
  make test had returned bad status, won't install without force
[root@devrofed01 bugzilla-2.18.3]#
I’ve been searching for answers but no success to date. Please, if anybody will be able to assist me or give me some guidelines with this I will appreciate it.

Thanks.

R
Reply With Quote
  #2  
Old 14th July 2009, 07:43 PM
hal3333 Offline
Registered User
 
Join Date: Jul 2009
Posts: 2
I am having the same problem, did you find a solution to this?

Thanks,
-Hal
Reply With Quote
  #3  
Old 14th July 2009, 07:49 PM
hal3333 Offline
Registered User
 
Join Date: Jul 2009
Posts: 2
nm, got it to install with this command:

/usr/bin/perl -MCPAN -e "CPAN::Shell->force(qw(install Template))"


-Hal
Reply With Quote
  #4  
Old 14th July 2009, 07:54 PM
Hlingler Offline
Administrator
 
Join Date: Sep 2006
Location: Connellsville, PA, USA
Posts: 11,292
Try:
yum search perl*Template* perl*Chart*

Then install the package(s) that look like the right target(s). Probably perl-Text-Template and perl-Chart.

V
Reply With Quote
Reply

Tags
bugzilla, installation, modules, perl

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
[FC9] perl and required modules (perl(Test::More) Inception Using Fedora 0 15th May 2008 11:44 AM
how to use yum to install perl modules? aliber4079 Using Fedora 3 26th November 2007 03:08 AM
Bugzilla (2.22) error in perl module - how to fix? LaughingBoy Servers & Networking 2 27th November 2006 04:14 AM
Perl modules install help for Perl n00b notmyrealemail Using Fedora 0 22nd July 2006 12:22 AM


Current GMT-time: 12:41 (Wednesday, 20-08-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat